# 📦 Installation Guide for Clip Color to Marker Converter

## ⚙️ Prerequisites
- **DaVinci Resolve Studio** or **Free** (version 17+)
- **Python 3.6+** installed
- DaVinci Resolve's **Scripting API** enabled

## 📁 Installation Steps
1. **Locate DaVinci Resolve Scripts Directory:**
   - On macOS:
     ```
     /Library/Application Support/Blackmagic Design/DaVinci Resolve/Fusion/Scripts/Comp/
     ```
   - On Windows:
     ```
     C:\ProgramData\Blackmagic Design\DaVinci Resolve\Fusion\Scripts\Comp\
     ```

2. **Place the Script:**
   - Copy the `resolve_clip_color_to_marker_dandbc.py` script into the **Scripts/Comp/** directory.


## 🚀 Running the Script
1. Open **DaVinci Resolve**.
2. Navigate to:
   ```
   Workspace > Scripts > Comp > resolve_clip_color_to_marker_dandbc.py
   ```
3. The UI will launch, allowing you to:
   - Select tracks and clip colors.
   - Add custom notes.
   - Export an EDL with markers.

## 💡 Troubleshooting
- **API Import Errors:**  
  Ensure the `RESOLVE_SCRIPT_API` path is correctly set and DaVinci Resolve's scripting API is installed.
  
- **Python Errors:**  
  Run the script from a terminal for detailed error logs:
  ```bash
  python3 /path/to/resolve_clip_color_to_marker_dandbc.py
  ```

## 📧 Support
For assistance or feedback, contact **Daniel Bañuelos** at [dany.b@dandbc.mx](mailto:dany.b@dandbc.mx).
