# Clip Color to Marker Converter for DaVinci Resolve
**by Daniel Bañuelos | More tools at [dandbc.mx/tools](https://dandbc.mx/tools)**

## 📋 Overview
This script converts clip colors on a DaVinci Resolve timeline into markers and exports them as an **EDL (Edit Decision List)**. It allows editors to:

* Generate markers based on clip colors.
* Attach custom notes to each clip color.
* Export markers as a standard **.edl** file for use in NLEs like DaVinci Resolve, Premiere Pro, and Avid Media Composer.

## 🚀 Features
- **Clip Color to Marker Conversion:** Automatically adds markers based on clip colors.
- **Custom Notes:** Assign custom notes for each clip color (e.g., VFX, B-Roll, Color Correction).
- **EDL Export:** Exports markers as an EDL with clear comments.
- **Intuitive UI:** Select tracks, clip colors, and add notes via an easy-to-use interface.

## 🛠️ Usage
1. **Launch the script** within DaVinci Resolve.
2. **Select tracks** and **clip colors** in the UI.
3. **Add custom notes** for each clip color (if desired).
4. **Export the EDL** by clicking the "Convert Clip Colors to EDL" button.
5. **Import the EDL** into your preferred NLE.

## 📄 Sample EDL Output
```
001  AX       V     C        00:00:01:00 00:00:03:00 00:00:01:00 00:00:03:00
* FROM CLIP NAME: A001_11161359_C023_S000.mov
* COMMENT: Color: Lime -- Note: B-Roll
```

## 💡 Notes
- The script uses the following comment format:
  ```
  * COMMENT: Color: <Clip Color> -- Note: <Custom Note>
  ```
- If no custom note is provided, the comment will only include the clip color.

## ⚖️ Disclaimer  

This script was written using **ChatGPT-4o** and adapted by **Daniel Bañuelos**. While care has been taken to ensure functionality, please use the tool responsibly and verify its output before using it in critical workflows.

## 👋 About the Author  

**Daniel Bañuelos** — Postproduction Supervisor, Educator, and Tech Enthusiast.  
- **Website:** [dandbc.mx/tools](https://dandbc.mx/tools)  
- **LinkedIn:** [linkedin.com/in/danielbanuelos](https://linkedin.com/in/danielbanuelos)  
- **Email:** dany.b@dandbc.mx  

---

🛠 *Need custom postproduction tools?* — Get in touch via [dany.b@dandbc.mx](mailto:dany.b@dandbc.mx) 🎬🚀
